=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.56.0~),
               libkf5codecs-dev (>= 5.56.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.1~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/frameworks/syndication
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.1~),
         ${misc:Depends},
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.

Package: libkf5syndication5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Syndication
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: akregator (<< 4:18.08.3), libkf5blog5 (<< 4:18.08.3)
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of KDE Frameworks 5.
