## syndication 5.58.0

=== debian/changelog ===
syndication (1:5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:58 +0100
