## syndication 5.60.0

=== debian/changelog ===
syndication (1:5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * Refresh patches.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:33 +0100
