## syndication 5.62.0

=== debian/changelog ===
syndication (1:5.62.0-3) unstable; urgency=medium

  * Team upload.
  * Release to unstable.
  * Revert rename of libkf5syndication5abi1 -> libkf5syndication5, as this is
    not a good idea to rename after all.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:20:50 +0100

syndication (1:5.62.0-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Remove not needed Breaks from libkf5syndication5abi1.
  * Rename libkf5syndication5abi1 -> libkf5syndication5, as it is now
    shipped in Frameworks.
  * Move install and symbols file for libkf5syndication5.

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 12.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Nov 2019 16:46:55 -0300

syndication (1:5.62.0-1) experimental; urgency=medium

  * Migration to frameworks version, epoch bump.
  * New upstream release (5.62.0).
  * Bump Standards-Version to 4.4.0.
  * Add a -doc package for the qch files
  * Add a salsa-ci script
  * Use hardening=+bindnow
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Sep 2019 16:21:17 -0700
