=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 12~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5codecs-dev (>= 5.62.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev-tools (>= 5.11.0~),
Standards-Version: 4.4.0
Homepage: https://projects.kde.org/projects/kde/pim/syndication
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syndication
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syndication.git

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.
Breaks: libkf5blog-dev (<< 4:17.08)

Package: libkf5syndication5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Syndication
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5syndication-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parser library for RSS and Atom feeds - documentation
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the qch documentation files.
