## syndication 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.64.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.64.0") # handled by release scripts
+set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
 
 project(Syndication VERSION ${KF5_VERSION})
 
-set(REQUIRED_QT_VERSION 5.11.0)
+set(REQUIRED_QT_VERSION 5.12.0)
 
 # ECM setup
 find_package(ECM ${KF5_DEP_VERSION} CONFIG REQUIRED)
@@ -36,12 +36,15 @@
 find_package(KF5Codecs ${KF5_DEP_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x060000)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 ########### Targets ###########
+if(BUILD_TESTING)
+   add_definitions(-DBUILD_TESTING)
+endif()
 add_definitions(-DQT_NO_FOREACH)
 add_subdirectory(src)
 
@@ -83,6 +86,4 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-install(FILES syndication.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
