=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
-               extra-cmake-modules (>= 5.67.0~),
-               libkf5codecs-dev (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
+               libkf5codecs-dev (>= 5.68.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.9.1~),
 Standards-Version: 4.3.0
