=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/frameworks/([\d\.]*)/@PACKAGE@-(.*)\.tar\.xz
