## syndication 5.70.0

=== debian/changelog ===
syndication (1:5.70.0-1ubuntu1) groovy; urgency=medium

  * Add Kubuntu Vcs fields
  * Build with debhelper-compat (= 12) for backports.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Jun 2020 12:07:23 +0100

syndication (1:5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:51 +0200

syndication (1:5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Use dephelper-compat.
  * Update symbols from build for 5.69.0.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 01:01:37 +0200
