## syndication 5.71.0

=== debian/changelog ===
syndication (1:5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:10:03 +0100
