=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.70.0~),
+               extra-cmake-modules (>= 5.71.0~),
                graphviz,
-               libkf5codecs-dev (>= 5.70.0~),
+               libkf5codecs-dev (>= 5.71.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.12.0~),
-               qttools5-dev-tools (>= 5.11.0~)
+               qttools5-dev-tools (>= 5.11.0~),
 Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/kde/pim/syndication
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
@@ -24,7 +24,7 @@
 Multi-Arch: same
 Depends: libkf5syndication5abi1 (= ${binary:Version}),
          qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: parser library for RSS and Atom feeds - development files
  Syndication is a parser library for RSS and Atom feeds. It offers a unified,
  format-agnostic view on the parsed feed, so that the using application does
