## syndication 5.72.0

=== debian/changelog ===
syndication (1:5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:36 +0100
