=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.71.0~),
+               extra-cmake-modules (>= 5.72.0~),
                graphviz,
-               libkf5codecs-dev (>= 5.71.0~),
+               libkf5codecs-dev (>= 5.72.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.12.0~),
                qttools5-dev-tools (>= 5.11.0~),
