## syndication 5.74.0

=== debian/changelog ===
syndication (1:5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:15:05 +0200

syndication (1:5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5syndication5abi1.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:27 +0200

syndication (1:5.70.0-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Build-Depends: qttools5-dev. See #915122. (Closes: #949004)

  [ Pino Toscano ]
  * Remove the unused ${shlibs:Depends} substvar from libkf5syndication-doc.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Aug 2020 13:22:40 +0200
