=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.73.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
-               libkf5codecs-dev (>= 5.73.0~),
+               libkf5codecs-dev (>= 5.74.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.12.0~),
-               qttools5-dev-tools (>= 5.11.0~),
+               qttools5-dev (>= 5.11.0~),
 Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/kde/pim/syndication
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
+Homepage: https://invent.kde.org/frameworks/syndication
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syndication
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syndication.git
 Rules-Requires-Root: no
 
 Package: libkf5syndication-dev
@@ -37,7 +37,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: parser library for RSS and Atom feeds - documentation
  Syndication is a parser library for RSS and Atom feeds. It offers a unified,
  format-agnostic view on the parsed feed, so that the using application does
