=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.77.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
-               libkf5codecs-dev (>= 5.77.0~),
+               libkf5codecs-dev (>= 5.78.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.13.0~),
-               qttools5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qttools5-dev (>= 5.11.0~)
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/syndication
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syndication
@@ -24,8 +24,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5syndication5abi1 (= ${binary:Version}),
-         qtbase5-dev (>= 5.13.0~),
-         ${misc:Depends},
+         qtbase5-dev (>= 5.14.0~),
+         ${misc:Depends}
 Description: parser library for RSS and Atom feeds - development files
  Syndication is a parser library for RSS and Atom feeds. It offers a unified,
  format-agnostic view on the parsed feed, so that the using application does
